Subject: Re: bug#72843: make: *** [Makefile:1950: check] Error 2
From: Ileana Dumitrescu <[email-masked]>
To: [email-masked]
Cc: Pei Jia <[email-masked]>
Date: Wed, 25 Sep 2024 17:02:25 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

On 29/08/2024 21:19, Ileana Dumitrescu wrote:
> On 27/08/2024 22:19, Pei Jia via bug-libtool via Bug reports for the GNU 
> libtool shared library maintenance tool wrote:
>>
>> I'm building *libtool* by following *LFS*. /testsuite.log/ is attached.
>>
>> Please can anybody help to take a look?
>>
> 
> Thank you for your bug report! According to the LFS documentation [1],
> the majority of the test failures are resolved after Automake is
> installed. The only test failure that should need attention is:
> 
> 66. Link order test (link-order.at:27): FAILED (link-order.at:106)
> 
> This is fixed in Libtool's master branch [2]. If you apply these
> changes to the test/link-order.at, the test should pass.
> 
> [1] https://www.linuxfromscratch.org/lfs/view/development/chapter08/ 
> libtool.html
> [2] https://git.savannah.gnu.org/cgit/libtool.git/commit/? 
> id=eb2a21cf2e1c56fd9461de67ef0ecccd66f478b9
> 

Testcases in standalone.at and subproject.at have been updated to check
for ACLOCAL and expect failure if it is not found [1]. This is a
temporary fix for the stable release, but it should be sufficient to
close this bug for now.

[1] 
https://git.savannah.gnu.org/cgit/libtool.git/commit/?id=3ab1239727fb29ad4a680fa375036a9c265cac72

-- 
Ileana Dumitrescu

GPG Public Key: FA26 CA78 4BE1 8892 7F22 B99F 6570 EA01 146F 7354